<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.platomix</groupId>
        <artifactId>platomix-gmetry-system</artifactId>
        <version>1.0.0</version>
    </parent>
    <!--    日期和版本号需要同时升级-->
    <!--    4.2.64-2024.07.22->4.2.65-2024.07.22->4.2.66-2024.07.23-->
    <artifactId>platomix-gmetry-system-api</artifactId>
    <version>4.1.20-20241225</version>
    <dependencies>
        <dependency>
            <groupId>com.platomix</groupId>
            <artifactId>platomix-gmetry-system-client</artifactId>
            <version>1.2.0</version>
        </dependency>
        <dependency>
            <groupId>com.platomix</groupId>
            <artifactId>platomix-gmetry-message</artifactId>
            <version>1.0.0</version>
        </dependency>
        <dependency>
            <groupId>com.platomix</groupId>
            <artifactId>platomix-gmetry-framework</artifactId>
            <version>2.5.1</version>
        </dependency>
        <dependency>
            <groupId>com.platomix</groupId>
            <artifactId>platomix-gmetry-auth</artifactId>
            <version>1.0.30</version>
        </dependency>
        <dependency>
            <groupId>com.platomix</groupId>
            <artifactId>platomix-gmetry-bi-client</artifactId>
            <version>1.0.5</version>
        </dependency>
        <dependency>
            <groupId>org.apache.httpcomponents</groupId>
            <artifactId>httpclient</artifactId>
        </dependency>
        <dependency>
            <groupId>com.github.whvcse</groupId>
            <artifactId>easy-captcha</artifactId>
        </dependency>
        <!-- 引入fastjson1.x只为ip地址库解析。业务使用fastjson2 -->
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>fastjson</artifactId>
            <version>1.2.83</version>
        </dependency>

        <dependency>
            <groupId>com.kingbase8</groupId>
            <artifactId>kingbase8</artifactId>
        </dependency>

        <dependency>
            <groupId>com.squareup.okhttp3</groupId>
            <artifactId>okhttp</artifactId>
            <version>4.2.2</version>
            <scope>runtime</scope>
        </dependency>


        <!-- https://mvnrepository.com/artifact/org.springframework.boot/spring-boot-starter-validation -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-validation</artifactId>
            <version>2.4.4</version>
        </dependency>


    </dependencies>

    <build>
        <finalName>platomix-gmetry-system</finalName>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
            </plugin>
<!--			<plugin>-->
<!--	             <groupId>io.fabric8</groupId>-->
<!--	             <artifactId>docker-maven-plugin</artifactId>-->
<!--	             <executions>-->
<!--	                 <execution>-->
<!--	                     <id>build-push</id>-->
<!--	                     <phase>package</phase>-->
<!--	                     <goals>-->
<!--	                         <goal>build</goal>-->
<!--	                         <goal>push</goal>-->
<!--	                     </goals>-->
<!--	                 </execution>-->
<!--	             </executions>-->
<!--	         </plugin>-->
        </plugins>
    </build>

    <profiles>
        <profile>
            <id>fayuan</id>
            <properties>
                <profile.env>docker-fayuan</profile.env>
            </properties>
        </profile>
        <profile>
            <id>kingbase</id>
            <properties>
                <profile.env>docker-kingbase</profile.env>
            </properties>
        </profile>
    </profiles>
</project>